
public abstract class Shape {
	ColorRT ka = new ColorRT(0.1F,0.1F,0.1F);
	ColorRT kd = new ColorRT(.8F,0.4F,0.0F);
	ColorRT ks = new ColorRT(1.0F,1.0F,1.0F);
	ColorRT kr = new ColorRT(.2f,.2f,.2f);
	float spec = 20F;
	public static final int SPHERE = 1;
	public static final int TRIANGLE = 2;
	public static final int PLANE = 3;
	public int shapeType;
	
	public abstract Intersection intersect(Ray ray);
	
	public abstract Vector3D getNormal(Point point);
	
	
}
